function config() {
	NEW="$1"
	OLD="`dirname $NEW`/`basename $NEW .new`"

	# If there's no config file by that name, mv it over:
	if [ ! -r $OLD ]; then
		echo "--- Renaming $NEW to $OLD"
		mv $NEW $OLD
	elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then
		# toss the redundant copy
		echo "--- Deleting $NEW"
		rm $NEW
	else
		# Otherwise, we leave the .new copy for the admin to consider...
		echo "--- Leaving $NEW for you to replace $OLD"
	fi


}

if ! grep -q "^ntop:" /etc/group; then
  echo "Adding Ntop group"
  groupadd -g 212 ntop &>/dev/null
fi

if ! grep -q "^ntop:" /etc/passwd; then
  echo "Adding Ntop user"
  useradd -g ntop -u 212 -d /var/ntop -c "Network Top User" -s /bin/false ntop &>/dev/null
fi

echo "Setting correct permissions"
chown -R ntop:ntop /var/lib/ntop
chown -R ntop:ntop /usr/share/ntop

# Keep same perms on rc.ntop.new:
if [ -e etc/rc.d/rc.ntop ]; then
  cp -a etc/rc.d/rc.ntop etc/rc.d/rc.ntop.new.incoming
  cat etc/rc.d/rc.ntop.new > etc/rc.d/rc.ntop.new.incoming
  mv etc/rc.d/rc.ntop.new.incoming etc/rc.d/rc.ntop.new
fi


for i in /etc/rc.d/rc.ntop.new /etc/ntop/*.new /etc/logrotate.d/ntop.new
do
	if [ -f $i ]
	then
		config $i
	fi
done




( cd usr/lib ; rm -rf libicmpPlugin.so )
( cd usr/lib ; ln -sf libicmpPlugin-3.3.10.so libicmpPlugin.so )
( cd usr/lib ; rm -rf liblastSeenPlugin.so )
( cd usr/lib ; ln -sf liblastSeenPlugin-3.3.10.so liblastSeenPlugin.so )
( cd usr/lib ; rm -rf libcpacketPlugin.so )
( cd usr/lib ; ln -sf libcpacketPlugin-3.3.10.so libcpacketPlugin.so )
( cd usr/lib ; rm -rf librrdPlugin.so )
( cd usr/lib ; ln -sf librrdPlugin-3.3.10.so librrdPlugin.so )
( cd usr/lib ; rm -rf libnetflowPlugin.so )
( cd usr/lib ; ln -sf libnetflowPlugin-3.3.10.so libnetflowPlugin.so )
( cd usr/lib ; rm -rf libntop.so )
( cd usr/lib ; ln -sf libntop-3.3.10.so libntop.so )
( cd usr/lib ; rm -rf libsflowPlugin.so )
( cd usr/lib ; ln -sf libsflowPlugin-3.3.10.so libsflowPlugin.so )
( cd usr/lib ; rm -rf libntopreport.so )
( cd usr/lib ; ln -sf libntopreport-3.3.10.so libntopreport.so )
